- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinDoubleArrayWithLength Class Reference

double * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinDoubleArrayWithLength:

[legend]
Collaboration diagram for CoinDoubleArrayWithLength:

[legend]
List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
double * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
double * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinDoubleArrayWithLength ()
| Default constructor - NULL.
| CoinDoubleArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinDoubleArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinDoubleArrayWithLength (const CoinDoubleArrayWithLength &rhs)
| Copy constructor.
| CoinDoubleArrayWithLength (const CoinDoubleArrayWithLength *rhs)
| Copy constructor.2.
CoinDoubleArrayWithLength & | operator= (const CoinDoubleArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

double * version

Definition at line 552 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 582 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 585 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 591 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | const CoinDoubleArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 594 of file CoinIndexedVector.hpp.

CoinDoubleArrayWithLength::CoinDoubleArrayWithLength | ( | const CoinDoubleArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 597 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinDoubleArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 558 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

double* CoinDoubleArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 561 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

Referenced by CoinFactorization::elementByRowL(), and CoinFactorization::pivotRegion().

void CoinDoubleArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 568 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

double* CoinDoubleArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 575 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::conditionalNew().

CoinDoubleArrayWithLength& CoinDoubleArrayWithLength::operator= | ( | const CoinDoubleArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 600 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/CoinUtils/src/CoinIndexedVector.hpp